services:
  webcam-sim:
    build: .
    container_name: fake-webcam-stream
    restart: unless-stopped
    ports:
      - "3301:80"
    volumes:
      - ./video.mp4:/video.mp4:ro
    deploy:
      resources:
        limits:
          cpus: '1.0'
          memory: 512M
